.TH FTGRID 1 "August 2024" "FreeType 2.13.3"
.
.
.SH NAME
.
ftgrid \- simple glyph grid viewer
.
.
.SH SYNOPSIS
.
.B ftgrid
.RI [ options ]
.RI [ pt ]
.I font .\|.\|.
.
.
.SH DESCRIPTION
.
.B ftgrid
displays individual font glyphs magnified or reduced from a given size
to fit the window.
The glyph outlines are always shown as they appear before rasterization.
The bitmap and the pixel grid are displayed when magnification permits it.
It is possible to interactively change hinting and rendering options,
thus visualizing the applied distortions to the outlines.
.
.TP
.B pt
The point size for the given resolution.
By default at 72dpi, this directly gives the ppem value (pixels per EM).
.
.TP
.B font
The font file(s) to display.
For Type 1 font files,
.B ftgrid
also tries to attach the corresponding metrics file (with extension `.afm'
or `.pfm').
.
.PP
This program is part of the FreeType demos package.
.
.
.SH OPTIONS
.
.TP
.BI \-d \ W x H \fR[\fPx D\fR]\fP
Set the window width to
.I W
px, the height to
.I H
px, and optionally the depth to
.I D
bpp (default: 640x480x24).
.
.TP
.BI \-r \ r
Use resolution
.I r
dpi (default: 72dpi).
.
.TP
.BI \-f \ index
Specify first index to display (default: 0).
.
.TP
.BI \-e \ enc
Specify encoding tag (default: no encoding).
Common values:
.B unic
(Unicode),
.B symb
(symbol),
.B ADOB
(Adobe standard),
.B ADBC
(Adobe custom), or a numeric charmap index.
.
.TP
.BI "\-a\ \(dq" "axis1\ axis2\ .\|.\|." \(dq
For Multiple Master, GX, or OpenType variation fonts, specify design
coordinates for each axis at start-up.
This option implies option
.BR \-n .
Ignored for all other font formats.
.
.TP
.B \-n
Don't display named instances of variation fonts.
.
.TP
.BI \-k \ keys
Emulate sequence of keystrokes upon start-up.
If the keystrokes contain 'q', the program operates in batch mode.
Function keys
.RI F x
are mapped to character codes
.RI 0xF x ;
as an example,
.B \-k\ $'\exF3q'
is function key 'F3' followed by character 'q'.
.
.TP
.B \-v
Show version.
.
.\" eof
